LTSP-NFS(8)

NAME
ltsp nfs - configure NFS exports for LTSP

SYNOPSIS
ltsp [ltsp-options] nfs [-h nfs-home] [t nfs-tftp]

DESCRIPTION
Install /etc/exports.d/ltsp-nfs.conf in order to export /srv/ltsp ($BASE_DIR), /srv/tftp/ltsp ($TFTP_DIR) and optionally /home ($HOME_DIR).

OPTIONS
See the ltsp(8) man page for ltsp-options.

-h, --nfs-home=0|1
    Export /home over NFS3. Defaults to 0. Note that NFS3 is insecure for home, so by default SSHFS is used. To specify a different directory, set $HOME_DIR in /etc/ltsp/ltsp.conf.

-t, --nfs-tftp=0|1
    Export /srv/tftp/ltsp over NFS3. Defaults to 1. To specify a different directory, set $TFTP_DIR in /etc/ltsp/ltsp.conf.

EXAMPLES
To export /home over NFS (insecure), use the following ltsp.conf parameters:

    [server]
    NFS_HOME=1

    [clients]
    FSTAB_HOME="server:/home /home nfs defaults,nolock 0 0"

And run these commands on the server:

    ltsp initrd  # This is needed whenever ltsp.conf is modified
    ltsp nfs

To export only some user homes over NFS while the rest still use SSHFS, use these lines in ltsp.conf instead:

    [server]
    NFS_HOME=1
    HOME_DIR=/home/nfs

    [clients]
    FSTAB_HOME="server:/home/nfs /home nfs defaults,nolock 0 0"

Then run the following commands on the server, to move some home directories under /home/nfs and to create appropriate symlinks in case the users ever need to SSH to the server. Note that the NFS server doesn't follow symlinks outside of an export:

    mkdir /home/nfs
    for u in guest01 guest02; do
        mv "/home/$u" /home/nfs/
        ln -s "nfs/$u" "/home/$u"
    done

    ltsp initrd
    ltsp nfs

COPYRIGHT
Copyright 2019-2022 the LTSP team, see AUTHORS.

SEE ALSO
ltsp(8), ltsp.conf(5), ltsp-dnsmasq(8), ltsp-image(8), ltsp-info(8), ltsp-initrd(8), ltsp-ipxe(8), ltsp-kernel(8), ltsp-remoteapps(8)

Online documentation is available on https://ltsp.org